Problem in License.js after Upgrade to 23.2.6

Hi,
i just upgraded 2 of my projects to vaadin 23.2.6.
Both are using Pro components (e.g. GridPro)
One is working fine, one is refusing to show any GridPro in development mode (production mode is working fine).

The following error occurs in browser console (also see screenshot):

   Uncaught TypeError: Cannot read properties of undefined (reading 'forEach')
at licenseInit (License.js?f621💯1)
at VaadinDevTools.connectedCallback (vaadin-dev-tools.js?b132:1005:20)
at window.customElements.define (home?credential=XXXX:13:760)
at eval (vaadin-dev-tools.js?b132:1479:1)
at ../target/flow-frontend/vaadin-dev-tools.js (vaadin-bundle-de6f66a97c89a7403a2c.cache.js:536:1)

GridPro does not load correctly, and the following errors are logged on console.
Any ideas what is the cause of this?
Already GIT cloned from my repo to a new location, so that all node_modules stuff is newly created from scratch, but that did not help.

   Uncaught TypeError: Cannot read properties of undefined (reading 'push')
at constructor.connectedCallback (home?credential=XXX:13:647)
at xw (FlowClient.js?2d7e:1028:281)
at Sw (FlowClient.js?2d7e:987:222)
at oy.py [as gb] (FlowClient.js?2d7e:1077:29327)
at MB (FlowClient.js?2d7e:986:158)
at Ir (FlowClient.js?2d7e:1073:303)
at Yr.Zr [as I] (FlowClient.js?2d7e:1077:20222)
at $k (FlowClient.js?2d7e:464:21)
at Ar (FlowClient.js?2d7e:1075:1159)
at Br (FlowClient.js?2d7e:1056:397)
at Pt.Rt [as Bb] (FlowClient.js?2d7e:1077:23686)
at pC.qC [as O] (FlowClient.js?2d7e:1077:36938)
at XMLHttpRequest.eval (FlowClient.js?2d7e:634:61)
at Ab (FlowClient.js?2d7e:460:20)

async.js?31fe:42

   Uncaught TypeError: Cannot read properties of null (reading 'querySelectorAll')
at Debouncer.eval [as _callback] (vaadin-grid-scroll-mixin.js?83fb:194:1)
at eval (debounce.js?3085:82:1)
at MutationObserver.microtaskFlush (async.js?31fe:39:1)

unknown.png
message.txt (5.97 KB)

just just found the issue, was caused by some customization i made to the index.html file that seemd to conflict with the latest version.